Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.load_balancers.resize(
load_balancer_id="ac307687-31a4-4a11-a949-6bea1b2878f5",
project_id=1,
region_id=7,
flavor="lb1-2-4",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.LoadBalancers.Resize(
context.TODO(),
"ac307687-31a4-4a11-a949-6bea1b2878f5",
cloud.LoadBalancerResizeParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
Flavor: "lb1-2-4",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}curl --request POST \
--url https://api.gcore.com/cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/resize \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"flavor": "lb1-2-4"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({flavor: 'lb1-2-4'})
};
fetch('https://api.gcore.com/cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/resize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Load Balancers
Resize load balancer
POST
/
cloud
/
v1
/
loadbalancers
/
{project_id}
/
{region_id}
/
{load_balancer_id}
/
resize
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.load_balancers.resize(
load_balancer_id="ac307687-31a4-4a11-a949-6bea1b2878f5",
project_id=1,
region_id=7,
flavor="lb1-2-4",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.LoadBalancers.Resize(
context.TODO(),
"ac307687-31a4-4a11-a949-6bea1b2878f5",
cloud.LoadBalancerResizeParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
Flavor: "lb1-2-4",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
7
Load-Balancer ID
Example:
"ac307687-31a4-4a11-a949-6bea1b2878f5"
Body
application/json
Name of the desired flavor to resize to.
Examples:
"lb1-2-4"
"lb1-4-8"
Response
200 - application/json
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?
⌘I